Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class PortalConstants

    java.lang.Object
      org.jboss.portal.server.PortalConstants

    public class PortalConstants

extends java.lang.Object

Defines various constants for the portal.

Version:
  $Revision: 11871 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `APPLICATION_X_WWW_FORM_URLENCODED` .
`static java.lang.String` | `DEFAULT_PORTAL_NAME` The default portal name.
`static java.lang.String` | `MULTIPART_FORM_DATA` .
`static java.lang.String` | `PORTAL_PRINCIPAL_MAP_KEY` Generic session objects.
`static java.lang.String` | `PORTAL_PROP_NAME_KEY` .
`static java.lang.String` | `PORTAL_SESSION_MAP_KEY` Generic session objects.
`static java.nio.charset.Charset` | `UTF_8` .
`static org.jboss.portal.common.util.Version` | `VERSION` Current version.

Constructor Summary
`PortalConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final org.jboss.portal.common.util.Version VERSION

  Current version.

### DEFAULT_PORTAL_NAME

    public static final java.lang.String DEFAULT_PORTAL_NAME

  The default portal name.

  See Also:
    Constant Field Values

### APPLICATION_X_WWW_FORM_URLENCODED

    public static final java.lang.String APPLICATION_X_WWW_FORM_URLENCODED

  .

  See Also:
    Constant Field Values

### MULTIPART_FORM_DATA

    public static final java.lang.String MULTIPART_FORM_DATA

  .

  See Also:
    Constant Field Values

### UTF_8

    public static final java.nio.charset.Charset UTF_8

  .

### PORTAL_PROP_NAME_KEY

    public static final java.lang.String PORTAL_PROP_NAME_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_SESSION_MAP_KEY

    public static final java.lang.String PORTAL_SESSION_MAP_KEY

  Generic session objects.

  See Also:
    Constant Field Values

### PORTAL_PRINCIPAL_MAP_KEY

    public static final java.lang.String PORTAL_PRINCIPAL_MAP_KEY

  Generic session objects.

  See Also:
    Constant Field Values

Constructor Detail

### PortalConstants

    public PortalConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD